Bug 1127716 - [RFE] a flag that turns the openstack's log debug mode the in deployment configuration stage
Summary: [RFE] a flag that turns the openstack's log debug mode the in deployment conf...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rubygem-staypuft
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Installer
Assignee: Scott Seago
QA Contact: Omri Hochman
URL: https://trello.com/c/tAX3mQkn/376-add...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 11:57 UTC by Yogev Rabl
Modified: 2016-09-29 13:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 13:29:31 UTC


Attachments (Terms of Use)

Description Yogev Rabl 2014-08-07 11:57:41 UTC
Description of problem:
The staypuft's deployment creation stage should have a button that sets the openstack's log to the wanted log level (info/debug).
Thus, we'll have the ability to set all the openstack's logs to debug in a centralized manner.

Comment 3 Mike Burns 2014-08-07 22:12:48 UTC
Jay, does this exist in astapor?

Scott, if yes, can you confirm it's exposed in the advanced config?

Comment 4 Jason Guiditta 2014-08-08 14:30:21 UTC
I see debug flags for heat, keystone, diner and glance. Verbose flag is available to all, which would get a pretty good chunk of useful info.  We'd need to add debug in a few more places to make it complete on the quick stack side.

Comment 5 Jason Guiditta 2014-08-08 14:30:56 UTC
(In reply to Jason Guiditta from comment #4)
> I see debug flags for heat, keystone, diner and glance. Verbose flag is
Darn spell correct                       ^^ cinder 
> available to all, which would get a pretty good chunk of useful info.  We'd
> need to add debug in a few more places to make it complete on the quick
> stack side.

Comment 6 Jaromir Coufal 2016-09-29 13:29:31 UTC
Closing list of bugs for RHEL OSP Installer since its support cycle has already ended [0]. If there is some bug closed by mistake, feel free to re-open.

For new deployments, please, use RHOSP director (starting with version 7).

-- Jaromir Coufal
-- Sr. Product Manager
-- Red Hat OpenStack Platform

[0] https://access.redhat.com/support/policy/updates/openstack/platform


Note You need to log in before you can comment on or make changes to this bug.